package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "MAPPINGVARIABLE"
)
public class MAPPINGVARIABLE {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "DATATYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String datatype;
   @XmlAttribute(
      name = "PRECISION",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String precision;
   @XmlAttribute(
      name = "SCALE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String scale;
   @XmlAttribute(
      name = "DEFAULTVALUE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String defaultvalue;
   @XmlAttribute(
      name = "AGGFUNCTION"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String aggfunction;
   @XmlAttribute(
      name = "USERDEFINED"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String userdefined;
   @XmlAttribute(
      name = "ISPARAM"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isparam;
   @XmlAttribute(
      name = "ISEXPRESSIONVARIABLE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isexpressionvariable;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getDATATYPE() {
      return this.datatype;
   }

   public void setDATATYPE(String value) {
      this.datatype = value;
   }

   public String getPRECISION() {
      return this.precision;
   }

   public void setPRECISION(String value) {
      this.precision = value;
   }

   public String getSCALE() {
      return this.scale;
   }

   public void setSCALE(String value) {
      this.scale = value;
   }

   public String getDEFAULTVALUE() {
      return this.defaultvalue;
   }

   public void setDEFAULTVALUE(String value) {
      this.defaultvalue = value;
   }

   public String getAGGFUNCTION() {
      return this.aggfunction;
   }

   public void setAGGFUNCTION(String value) {
      this.aggfunction = value;
   }

   public String getUSERDEFINED() {
      return this.userdefined;
   }

   public void setUSERDEFINED(String value) {
      this.userdefined = value;
   }

   public String getISPARAM() {
      return this.isparam;
   }

   public void setISPARAM(String value) {
      this.isparam = value;
   }

   public String getISEXPRESSIONVARIABLE() {
      return this.isexpressionvariable;
   }

   public void setISEXPRESSIONVARIABLE(String value) {
      this.isexpressionvariable = value;
   }
}
